package com.tanpu.community.api.beans.qo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 正文
 */
@Data
public class MainTextQo {


    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题")
    private Integer themeType;

    @ApiModelProperty(value = "文本内容")
    private String content;

    @ApiModelProperty(value = "作者id")
    private String authorId;

    @ApiModelProperty(value = "所属的话题")
    private String topicId;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "用户头像")
    private String userImg;

    @ApiModelProperty(value = "认证")
    private String authLabel;

    @ApiModelProperty(value = "发表时间")
    private String upToNowTime;

    @ApiModelProperty(value = "被转发的主题")
    private String formerThemeId;


    @ApiModelProperty(value = "转发量")
    private Long forwardAomunt;

    @ApiModelProperty(value = "评论量")
    private Long commentAmount;

    @ApiModelProperty(value = "点赞量")
    private Long likeAmount;

    @ApiModelProperty("附件,key是类型，1:产品 2：直播 3：短视频 4：课程")
    private Map<String, Object> attachment;

    @ApiModelProperty(value = "评论")
    private List<CommentQo> comments;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

}
